Bug 1463271 - getting_started_with_kubernetes/#nfs points to github.com/kubernetes/kubernetes/issues/17226 which is Closed
getting_started_with_kubernetes/#nfs points to github.com/kubernetes/kubernet...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-RHEL-Atomic (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Chris Negus
ecs-bugs
Vikram Goyal
: Documentation, Extras
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-20 09:19 EDT by Jan Pazdziora
Modified: 2017-07-05 11:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-05 11:46:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2017-06-20 09:19:11 EDT
Description of problem:

The section 2.5. NFS of

https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux_atomic_host/7/html-single/getting_started_with_kubernetes/#nfs

ends with

See https://github.com/kubernetes/kubernetes/issues/17226 to follow the progress of the inclusion of mount options in Kubernetes.

That issue was Closed on 2017-03-20.

Version-Release number of selected component (if applicable):

The document https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux_atomic_host/7/html-single/getting_started_with_kubernetes/#nfs as of today.

How reproducible:

Deterministic.

Steps to Reproduce:
1. Follow the NFS section of the document.
2. Follow the link to https://github.com/kubernetes/kubernetes/issues/17226 to follow the progress.

Actual results:

The issues is noted as resolved in 1.6 so there is not much to follow there.

Expected results:

The document should list the new options for 1.6 and state that older version don't have them, or something similar.

Additional info:
Comment 2 Micah Abbott 2017-06-20 14:14:09 EDT
moving to docs team
Comment 3 Chris Negus 2017-07-02 13:08:48 EDT
I rewrote the section in the Kubernetes Getting Started Guide[1] to describe how mount options are supported in Kubernetes as of version 1.6, which volume types support mount options, and how such an option would appear in a yaml file. Look for it to be published within the next few days.

[1] https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux_atomic_host/7/html-single/getting_started_with_kubernetes/#nfs
Comment 4 Chris Negus 2017-07-05 11:46:58 EDT
Docs are now published.

Note You need to log in before you can comment on or make changes to this bug.